For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a chat
      • GETList chats
      • GETGet a chat
      • DELDelete a chat
      • POSTSend a message in a chat
      • POSTStart an outbound chat conversation
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIChat

Create a chat

||View as Markdown|
POST
/chat/:chat_id
POST
/v2/chat/:chat_id
$curl -X POST https://api.synthflow.ai/v2/chat/a830288c-88df-4611-8db2-6db87b4fbb41 \
> -H "Content-Type: application/json" \
> -d '{
> "model_id": "893195c1-c640-438b-9761-2e5357b01cb8",
> "metadata": {}
>}'
1{
2 "status": "ok",
3 "response": {
4 "chat_id": "a830288c-88df-4611-8db2-6db87b4fbb41",
5 "chat_status": "ongoing",
6 "conversation_history": [],
7 "start_timestamp": {},
8 "transcript": "Agent: Hi there!"
9 }
10}
Create a new chat session with an agent.
Was this page helpful?
Previous

List chats

Next
Built with

Path parameters

chat_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
model_idstringRequired
The ID of the agent to chat with.
metadatamap from strings to anyOptional
Optional metadata to attach to the chat.

Response

200
statusstring
Whether the request was successful.
responseobject
Chat session details.

Errors

400
Bad Request Error